summaryrefslogtreecommitdiff
path: root/db-4.8.30/test/scr010/chk.str
diff options
context:
space:
mode:
authorJesse Morgan <jesse@jesterpm.net>2016-12-17 21:28:53 -0800
committerJesse Morgan <jesse@jesterpm.net>2016-12-17 21:28:53 -0800
commit54df2afaa61c6a03cbb4a33c9b90fa572b6d07b8 (patch)
tree18147b92b969d25ffbe61935fb63035cac820dd0 /db-4.8.30/test/scr010/chk.str
Berkeley DB 4.8 with rust build script for linux.
Diffstat (limited to 'db-4.8.30/test/scr010/chk.str')
-rw-r--r--db-4.8.30/test/scr010/chk.str42
1 files changed, 42 insertions, 0 deletions
diff --git a/db-4.8.30/test/scr010/chk.str b/db-4.8.30/test/scr010/chk.str
new file mode 100644
index 0000000..18e757b
--- /dev/null
+++ b/db-4.8.30/test/scr010/chk.str
@@ -0,0 +1,42 @@
+#!/bin/sh -
+#
+# $Id$
+#
+# Check spelling in quoted strings.
+
+d=../..
+
+[ -f $d/LICENSE ] || {
+ echo 'FAIL: cannot find source distribution directory.'
+ exit 1
+}
+
+t1=__t1
+
+sed -e '/^#include/d' \
+ -e '/"/!d' \
+ -e 's/^[^"]*//' \
+ -e 's/%s/ /g' \
+ -e 's/[^"]*$//' \
+ -e 's/\\[nt]/ /g' \
+ `find $d -name '*.[ch]' -o -name '*.cpp' -o -name '*.java' |
+ sed -e '/\/perl\//d' -e '/\/test_erlang\//d'` |
+spell | sort -u | comm -23 /dev/stdin spell.ok > $t1
+
+test -s $t1 && {
+ cat $t1
+ echo "FAIL: found questionable spelling in strings."
+ exit 1
+}
+
+egrep -h '/\* | \* ' \
+ `find $d -name '*.[ch]' -o -name '*.cpp' | sed -e '/\/perl\//d' -e '/\/test_erlang\//d'` |
+spell | sort -u | comm -23 /dev/stdin spell.ok | tee /tmp/f/1 > $t1
+
+test -s $t1 && {
+ cat $t1
+ echo "FAIL: found questionable spelling in comments."
+ exit 1
+}
+
+exit 0